RpfFrameProvider (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.rpf
Interface RpfFrameProvider

All Known Implementing Classes:
  RpfFrameCacheHandler

    public interface RpfFrameProvider

The RpfFrameProvider describes an interface to an object that can provide information about RPF coverage over a certain area, and also retrieve data from the RPF frame files.

Method Summary
`float` | `getCalculatedCoverage(double ullat, double ullon, double lrlat, double lrlon, Projection p, java.lang.String chartSeries)` Given an area and a two-letter chart series code, find the percentage of coverage on the map that that chart series can offer.
`java.util.List<RpfCoverageBox>` | `getCatalogCoverage(double ullat, double ullon, double lrlat, double lrlon, Projection p, java.lang.String chartSeries)` Given a projection that describes a map or geographical area, return RpfCoverageBoxes that let you know what bounding boxes of data are available.
`java.util.List<RpfCoverageBox>` | `getCoverage(double ullat, double ullon, double lrlat, double lrlon, Projection p)` Given a projection that describes a map or geographical area, return RpfCoverageBoxes that let you know how to locate and ask for RpfSubframes.
`RpfIndexedImageData` | `getRawSubframeData(int tocNumber, int entryNumber, int x, int y)`
`java.lang.String` | `getSubframeAttributes(int tocNumber, int entryNumber, int x, int y)` Given the indexes to a certain RpfTocEntry within a certain A.TOC, find the frame and return the attribute information.
`int[]` | `getSubframeData(int tocNumber, int entryNumber, int x, int y)` Given the indexes to a certain RpfTocEntry within a certain A.TOC, find the frame/subframe data, decompress it, and return image pixels.
`boolean` | `needViewAttributeUpdates()` Returns true if the view attributes should be set if they change at the RpfCacheHandler/RpfCacheManager.
`void` | `setViewAttributes(RpfViewAttributes rva)` Set the RpfViewAttribute object parameters, which describes a lot about what you'll be asking for later.

Method Detail

### needViewAttributeUpdates

    boolean needViewAttributeUpdates()

  Returns true if the view attributes should be set if they change at the RpfCacheHandler/RpfCacheManager. If the source of the data is a server, this should return yes. If the source is local, the view attributes will be a shared object and updates are not necessary.

### setViewAttributes

    void setViewAttributes(RpfViewAttributes rva)

  Set the RpfViewAttribute object parameters, which describes a lot about what you'll be asking for later.

### getCoverage

    java.util.List<RpfCoverageBox> getCoverage(double ullat,
                                               double ullon,
                                               double lrlat,
                                               double lrlon,
                                               Projection p)

  Given a projection that describes a map or geographical area, return RpfCoverageBoxes that let you know how to locate and ask for RpfSubframes.

### getCatalogCoverage

    java.util.List<RpfCoverageBox> getCatalogCoverage(double ullat,
                                                      double ullon,
                                                      double lrlat,
                                                      double lrlon,
                                                      Projection p,
                                                      java.lang.String chartSeries)

  Given a projection that describes a map or geographical area, return RpfCoverageBoxes that let you know what bounding boxes of data are available.

  Parameters:
    `ullat` - upper lat
    `ullon` - left lon
    `lrlat` - lower lat
    `lrlon` - right lon
    `chartSeries` - can be null to see all/any.

### getCalculatedCoverage

    float getCalculatedCoverage(double ullat,
                                double ullon,
                                double lrlat,
                                double lrlon,
                                Projection p,
                                java.lang.String chartSeries)

  Given an area and a two-letter chart series code, find the percentage of coverage on the map that that chart series can offer. If you want specific coverage information, use the getCatalogCoverage call.

  See Also:
    `getCatalogCoverage(double, double, double, double, Projection, String)`

### getSubframeData

    int[] getSubframeData(int tocNumber,
                          int entryNumber,
                          int x,
                          int y)

  Given the indexes to a certain RpfTocEntry within a certain A.TOC, find the frame/subframe data, decompress it, and return image pixels. The tocNumber and entryNumber are given within the RpfCoverageBox received from a getCoverage call.

  Parameters:
    `tocNumber` - the toc id for a RpfTocHandler for a particular frame provider.
    `entryNumber` - the RpfTocEntry id for a RpfTocHandler for a particular frame provider.
    `x` - the horizontal subframe index, from the left side of a boundary rectangle of the entry.
    `y` - the vertical subframe index, from the top side of a boundary rectangle of the entry.
  Returns:
    integer pixel data.
  See Also:
    `getCoverage(double, double, double, double, Projection)`

### getRawSubframeData

    RpfIndexedImageData getRawSubframeData(int tocNumber,
                                           int entryNumber,
                                           int x,
                                           int y)

### getSubframeAttributes

    java.lang.String getSubframeAttributes(int tocNumber,
                                           int entryNumber,
                                           int x,
                                           int y)

  Given the indexes to a certain RpfTocEntry within a certain A.TOC, find the frame and return the attribute information. The tocNumber and entryNumber are given within the RpfCoverageBox received from a getCoverage call.

  Parameters:
    `tocNumber` - the toc id for a RpfTocHandler for a particular frame provider.
    `entryNumber` - the RpfTocEntry id for a RpfTocHandler for a particular frame provider.
    `x` - the horizontal subframe index, from the left side of a boundary rectangle of the entry.
    `y` - the vertical subframe index, from the top side of a boundary rectangle of the entry.
  Returns:
    string.
  See Also:
    `getCoverage(double, double, double, double, Projection)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details